View Issue Details

IDProjectCategoryView StatusLast Update
0005699Simple:Pressinstallation/upgradepublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005699: Clean out redundancies from install and upgrade support functions
DescriptionAnd remove any redundant code files.
TagsNo tags attached.
change_log_textClean out redundancies from install and upgrade support functions
typetask

Activities

svn

svn

2016-12-28 17:30

administrator   ~0018922

Changeset [14925] by andy on 2016-12-28 12:30:33 -0500 (Wed, 28 Dec 2016)

see issue 0005699
Stage 1 - remove redundant functions and file

 Changed Files:

D trunk/sp-startup/install/sp-schema.php
U trunk/sp-startup/install/sp-upgrade-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14925
svn

svn

2016-12-28 20:07

administrator   ~0018924

Changeset [14927] by andy on 2016-12-28 15:07:11 -0500 (Wed, 28 Dec 2016)

see issue 0005699
Stage 2 - tidy up files and includes
Have created new install support file with current upgrade support functions
Update support file should only hold functions required to support updated components.

 Changed Files:

U trunk/sp-startup/core/sp-core-support-functions.php
A trunk/sp-startup/install/sp-install-support.php
U trunk/sp-startup/install/sp-install.php
U trunk/sp-startup/install/sp-upgrade-support.php
U trunk/sp-startup/install/sp-upgrade.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14927

Issue History

Date Modified Username Field Change
2016-12-28 16:43 Yellow Swordfish New Issue
2016-12-28 16:43 Yellow Swordfish Assigned To => Yellow Swordfish
2016-12-28 17:30 svn =>
2016-12-28 17:30 svn Note Added: 0018922
2016-12-28 20:07 svn =>
2016-12-28 20:07 svn Note Added: 0018924
2016-12-28 20:21 Yellow Swordfish Status new => testing
2016-12-28 20:21 Yellow Swordfish Description Updated View Revisions
2016-12-28 20:21 Yellow Swordfish change_log_text => Clean out redundancies from install and upgrade support functions
2017-01-01 17:55 Mr Papa Status testing => closed
2017-01-01 17:55 Mr Papa Resolution open => fixed
2017-01-01 17:55 Mr Papa Fixed in Version => 6.0
2017-07-11 01:57 Mr Papa Product Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8